summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJames Le Cuirot <chewi@gentoo.org>2016-01-24 20:28:51 +0000
committerJames Le Cuirot <chewi@gentoo.org>2016-01-24 20:32:26 +0000
commit228c22b8330588129679207a2e661171c31e19cd (patch)
tree04019cd8c1e8b51aa50625b78f5fb750637813bc /virtual/jdk
parentvirtual/jdk: It's 2016, let's use EAPI 6 and SLOT dependencies (diff)
downloadgentoo-228c22b8330588129679207a2e661171c31e19cd.tar.gz
gentoo-228c22b8330588129679207a2e661171c31e19cd.tar.bz2
gentoo-228c22b8330588129679207a2e661171c31e19cd.zip
virtual/jdk: Add the upcoming icedtea(-bin):8 to 1.8
Package-Manager: portage-2.2.27
Diffstat (limited to 'virtual/jdk')
-rw-r--r--virtual/jdk/jdk-1.8.0-r1.ebuild6
1 files changed, 5 insertions, 1 deletions
diff --git a/virtual/jdk/jdk-1.8.0-r1.ebuild b/virtual/jdk/jdk-1.8.0-r1.ebuild
index 03f73aec9c1..55de6b72df7 100644
--- a/virtual/jdk/jdk-1.8.0-r1.ebuild
+++ b/virtual/jdk/jdk-1.8.0-r1.ebuild
@@ -8,4 +8,8 @@ DESCRIPTION="Virtual for Java Development Kit (JDK)"
SLOT="1.8"
KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc64-solaris ~x64-solaris"
-RDEPEND="dev-java/oracle-jdk-bin:1.8"
+RDEPEND="|| (
+ dev-java/icedtea-bin:8
+ dev-java/icedtea:8
+ dev-java/oracle-jdk-bin:1.8
+ )"